@import 'test-details';
@import 'test-runs-filter';
@import 'test-info';
@import 'images-viewer';
@import 'issue-modal';
@import 'test-runs-search';
@import 'groups-modal';

.layout-boxed {
    > .header-container {
        .top-header {
            max-width: $boxed_layout_width;
            margin: 0 auto;
        }
    }

    > .main-container {
        max-width: $boxed_layout_width;
        margin: 0 auto;
    }
}

.body-wide {
    &.app > .main-container > .nav-container,
    &.app > .main-container > .content-container,
    .header-container > .top-header .logo,
    .header-container > .top-header .top-nav {
        transition: none;
    }
}


html {
    min-height: 100%; // important!
    background: none; // important!, fix angular-material css cause sidebar background to break bug
}

html,
body {
  height: 100%;
  position: relative;
}

.content-container,
.content-container > .view-container,
.content-container > .view-container > ui-view,
.content-container > .view-container > ui-view > *,
.main-container {
  display: block;
  height: 100%;
  max-height: 100%;
  overflow: hidden;
}

.page-wrapper {
    display: block;
    height: 100%;
    max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

// default
.app {
    position: relative;
    min-height: 100%; // important!
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    overflow: hidden;

    > .header-container {
        &.header-fixed {
            position: fixed;
            top: 0;
            right: 0;
            left: 0;
            z-index: $zindex-navbar-fixed;

            & + .main-container {
                padding-top: $header_height * 2;
                @media (min-width:$screen-sm) {
                    padding-top: $header_height;
                }
            }

        }
    }

    > .main-container {
        position: relative;
        min-height: 100%; // important!
        padding-bottom: 0;
        display: flex;
        &:before { // content container background for boxed layout
            content: " ";
            line-height: 0;
            z-index: -2; // so that it is beneath sidebar
            position: absolute;
            display: block;
            width: 100%;
            max-width: inherit;
            top: 0;
            bottom: 0;
            background-color: $main_container_bg-new;
            box-shadow: 0 -2px 2px rgba(0,0,0,.2);
        }

        > .nav-vertical {
            &:before {
                left: 0;
            }
        }

        > .nav-container {
            z-index: $zindex-fixed + 1;; // should be highter than top header
            position: fixed;
            left: 0;
            top: $header_height;
            box-shadow: none;
            float: left;
            width: 220px;
            height: calc(100% - #{$header_height}); // 60px - header height
            display: block;
            @media (max-width: $screen-phone) {
                top: 0;
                height: 100%;
                z-index: 80;
            }
            &:before {
                z-index: -1; // so that it is beneath top header
                content: " ";
                line-height: 0;
                position: absolute;
                display: block;
                top: 0;
                bottom: 0;
                width: inherit;
                background-color: inherit;
                border-width: inherit;
                border-style: inherit;
                border-color: inherit;
            }
            &.nav-fixed {
                position: fixed;
                top: $header_height * 2;
                bottom: 0;
                float: none;
                @media (min-width:$screen-sm) {
                    top: $header_height;
                }
            }


        }

        > .content-container {
            overflow: hidden;
            min-height: 100%;
            margin-left: 0;
            margin-top: 0;
            position: relative;
            z-index: 1;
            flex: 1 1 auto;
            transform: translateZ(0);
        }



    }

    &.body-wide {
        > .main-container {
            > .content-container {
                padding: 0;
                margin: 0;
            }
        }
    }
}
